Create tax packet
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"include_general_ledger": true,
"include_account_transactions": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets"
payload = {
"year": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"include_general_ledger": True,
"include_account_transactions": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 123,
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
include_general_ledger: true,
include_account_transactions: true
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Tax_Packet_Request",
"id": "<string>",
"business_id": "<string>",
"year": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"download_urls": {
"profit_and_loss": "<string>",
"general_ledger": "<string>",
"account_transactions": "<string>"
}
}
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Tax Packets
Create tax packet
Creates a new tax packet request for generating comprehensive tax reporting documents including P&L reports, general ledger details, and account transactions.
POST
/
v1
/
businesses
/
{businessId}
/
reports
/
tax-packets
Create tax packet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to create the tax packet for.
Body
application/json
Tax year for the packet (alternative to start_date/end_date).
Start date for custom date range (alternative to year).
End date for custom date range (alternative to year).
Whether to include general ledger details.
Whether to include account transaction details.
Response
Tax packet request created successfully.
Show child attributes
Show child attributes
āI